# Generated by Django 3.2.18 on 2023-02-23 21:44

from django.db import migrations
import django.db.models.deletion

import nautobot.core.models.fields
import nautobot.extras.models.roles
import nautobot.extras.models.statuses
import nautobot.extras.utils


class Migration(migrations.Migration):
    dependencies = [
        ("contenttypes", "0002_remove_content_type_name"),
        ("extras", "0069_created_datetime"),
        ("dcim", "0038_fixup_fks_and_related_names"),
    ]

    operations = [
        migrations.AlterField(
            model_name="cable",
            name="status",
            field=nautobot.extras.models.statuses.StatusField(
                null=True, on_delete=django.db.models.deletion.PROTECT, related_name="cables", to="extras.status"
            ),
        ),
        migrations.AlterField(
            model_name="device",
            name="local_config_context_data_owner_content_type",
            field=nautobot.core.models.fields.ForeignKeyWithAutoRelatedName(
                blank=True,
                default=None,
                limit_choices_to=nautobot.extras.utils.FeatureQuery("config_context_owners"),
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="devices",
                to="contenttypes.contenttype",
            ),
        ),
        migrations.AlterField(
            model_name="device",
            name="local_config_context_schema",
            field=nautobot.core.models.fields.ForeignKeyWithAutoRelatedName(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="devices",
                to="extras.configcontextschema",
            ),
        ),
        migrations.AlterField(
            model_name="device",
            name="role",
            field=nautobot.extras.models.roles.RoleField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="devices",
                to="extras.role",
            ),
        ),
        migrations.AlterField(
            model_name="device",
            name="status",
            field=nautobot.extras.models.statuses.StatusField(
                null=True, on_delete=django.db.models.deletion.PROTECT, related_name="devices", to="extras.status"
            ),
        ),
        migrations.AlterField(
            model_name="deviceredundancygroup",
            name="status",
            field=nautobot.extras.models.statuses.StatusField(
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="device_redundancy_groups",
                to="extras.status",
            ),
        ),
        migrations.AlterField(
            model_name="interface",
            name="status",
            field=nautobot.extras.models.statuses.StatusField(
                null=True, on_delete=django.db.models.deletion.PROTECT, related_name="interfaces", to="extras.status"
            ),
        ),
        migrations.AlterField(
            model_name="location",
            name="status",
            field=nautobot.extras.models.statuses.StatusField(
                null=True, on_delete=django.db.models.deletion.PROTECT, related_name="locations", to="extras.status"
            ),
        ),
        migrations.AlterField(
            model_name="powerfeed",
            name="status",
            field=nautobot.extras.models.statuses.StatusField(
                null=True, on_delete=django.db.models.deletion.PROTECT, related_name="power_feeds", to="extras.status"
            ),
        ),
        migrations.AlterField(
            model_name="rack",
            name="role",
            field=nautobot.extras.models.roles.RoleField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="racks",
                to="extras.role",
            ),
        ),
        migrations.AlterField(
            model_name="rack",
            name="status",
            field=nautobot.extras.models.statuses.StatusField(
                null=True, on_delete=django.db.models.deletion.PROTECT, related_name="racks", to="extras.status"
            ),
        ),
        migrations.AlterField(
            model_name="site",
            name="status",
            field=nautobot.extras.models.statuses.StatusField(
                null=True, on_delete=django.db.models.deletion.PROTECT, related_name="sites", to="extras.status"
            ),
        ),
    ]
